Name:       ocaml-ounit
Version:    2.0.0
Release:    %mkrel 4
Summary:    Unit test framework for OCaml
Group:      Development/OCaml
License:    MIT
URL:        http://ounit.forge.ocamlcore.org/
Source0:    http://download.ocamlcore.org/ounit/ounit/%{version}/ounit-%{version}.tar.gz
Source1:    http://download.ocamlcore.org/ounit/ounit/%{version}/ounit-doc-%{version}.tar.gz
#Project:   http://forge.ocamlcore.org/scm/browser.php?group_id=162&repo_name=ounit
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4

%description
OUnit is a unit test framework for OCaml. It allows one to easily
create unit-tests for OCaml code. It is based on HUnit, a unit testing
framework for Haskell. It is similar to JUnit, and other xUnit testing
frameworks.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ounit-%{version}

%build
ocaml setup.ml -configure
ocaml setup.ml -build
ocaml setup.ml -doc

mv _build/src/api-ounit.docdir \
    api-doc-html

tar xzf %{SOURCE1}
mv ounit-doc-%{version}/api-ounit/ .

%check
ocaml setup.ml -test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install

%files
%doc LICENSE.txt README.txt AUTHORS.txt
%dir %{_libdir}/ocaml/oUnit
%{_libdir}/ocaml/oUnit/*.cmi
%{_libdir}/ocaml/oUnit/*.cma
%{_libdir}/ocaml/oUnit/*.cmxs
%{_libdir}/ocaml/oUnit/META

%files devel
%doc doc/
%doc examples/ test/
%doc api-doc-html/
%doc api-ounit/
%{_libdir}/ocaml/oUnit/*.a
%{_libdir}/ocaml/oUnit/*.cmxa
%{_libdir}/ocaml/oUnit/*.cmx
%{_libdir}/ocaml/oUnit/*.mli
%{_libdir}/ocaml/oUnit/*.ml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 739549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 683081
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 538609
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 blue_prawn <blue_prawn> 2.0.0-1.mga4
+ Revision: 489990
- updated to last version 2.0.0

* Sat Sep 07 2013 blue_prawn <blue_prawn> 1.1.2-8.mga4
+ Revision: 475754
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-7.mga3
+ Revision: 361546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 blue_prawn <blue_prawn> 1.1.2-6.mga3
+ Revision: 321442
- just a rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.2-5.mga3
+ Revision: 301078
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 malo <malo> 1.1.2-4.mga3
+ Revision: 301012
- rebuild for new ocaml
- fix BR to ocaml-compiler

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.2-3.mga3
+ Revision: 300084
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 1.1.2-2.mga3
+ Revision: 282969
- generate and include the ocamldoc html api documentation
- include the examples and tests

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.1.2-1.mga3
+ Revision: 262891
- updated to last version 1.1.2

* Wed Jan 18 2012 malo <malo> 1.1.1-1.mga2
+ Revision: 197975
- new version 1.1.1

* Sun Oct 02 2011 shlomif <shlomif> 1.1.0-3.mga2
+ Revision: 151027
- Rebuild for the new ocaml. Thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 1.1.0-2.mga2
+ Revision: 147743
- Add a missing BuildRequires - thanks to Malo.
- New version - thanks to Malo.

* Sat Apr 30 2011 pterjan <pterjan> 1.0.3-5.mga1
+ Revision: 93944
- Bump release higher than Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.0.3-1.mga1
+ Revision: 66234
- imported package ocaml-ounit

